# Uses of Class
org.apache.lucene.queryparser.surround.query.DistanceQuery

Packages that use DistanceQuery
Package
Description
org.apache.lucene.queryparser.surround.parser
This package contains the QueryParser.jj source file for the Surround parser.

- ## Uses of DistanceQuery in org.apache.lucene.queryparser.surround.parser

  Methods in org.apache.lucene.queryparser.surround.parser with parameters of type DistanceQuery
  Modifier and Type
  Method
  Description
  `protected static void`
  QueryParser.`checkDistanceSubQueries(DistanceQuery distq, String opName)`